/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import java.util.List;
import java.awt.Canvas;
import java.awt.Container;
import javax.swing.JTabbedPane;

/**
 *
 * @author Emanuelle Passos
 */
public class LoginFormPanel extends javax.swing.JPanel {

    /**
     * Creates new form LoginFormPanel
     */
    public LoginFormPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {

        occuppational_areaFormPanel = new Occuppational_areaFormPanel();
        registrationFormPanel = new RegistrationFormPanel();
        
        jTabbedPane1 = new javax.swing.JTabbedPane();
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        tfUsername = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        tfPassword = new javax.swing.JPasswordField();
        bOkLogin = new javax.swing.JButton();
        bCancelLogin = new javax.swing.JButton();

        jLabel1.setText("Username");

        tfUsername.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfUsernameActionPerformed(evt);
            }
        });

        jLabel2.setText("Password");

        tfPassword.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfPasswordActionPerformed(evt);
            }
        });

        bOkLogin.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/emblem-default.png"))); // NOI18N
        bOkLogin.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bOkLoginActionPerformed(evt);
            }
        });

        bCancelLogin.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/gtk-cancel.png"))); // NOI18N
        bCancelLogin.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bCancelLoginActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(bCancelLogin, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bOkLogin, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addComponent(jLabel2))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(tfUsername, javax.swing.GroupLayout.DEFAULT_SIZE, 245, Short.MAX_VALUE)
                            .addComponent(tfPassword))))
                .addContainerGap(18, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(23, 23, 23)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(tfUsername, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(tfPassword, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 18, Short.MAX_VALUE)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(bOkLogin, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bCancelLogin, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE))
                .addContainerGap())
        );

        jTabbedPane1.addTab("Login", jPanel1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1)
        );
    }// </editor-fold>                        

    private void tfUsernameActionPerformed(java.awt.event.ActionEvent evt) {                                           
        // TODO add your handling code here:
    }                                          

    private void tfPasswordActionPerformed(java.awt.event.ActionEvent evt) {                                           
        // TODO add your handling code here:
    }                                          

    public void bOkLoginActionPerformed(java.awt.event.ActionEvent evt) {
        if(tfUsername == registrationFormPanel.getTfFullnameProfessional() && tfPassword == registrationFormPanel.getJpProfessionalPassword())
        {
            occuppational_areaFormPanel.show();
        }
    }                                        

    private void bCancelLoginActionPerformed(java.awt.event.ActionEvent evt) {                                             
        tfUsername.setText(" ");
        tfPassword.setText(" ");
    }                                            


    // Variables declaration - do not modify   
    private Occuppational_areaFormPanel occuppational_areaFormPanel;
    private RegistrationFormPanel registrationFormPanel;
    
    private javax.swing.JButton bCancelLogin;
    private javax.swing.JButton bOkLogin;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JPasswordField tfPassword;
    private javax.swing.JTextField tfUsername;
    // End of variables declaration                   

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie occuppational_areaFormPanel*/
    public Occuppational_areaFormPanel getOccuppational_areaFormPanel(){
        return this.occuppational_areaFormPanel;
    }//end method getOccuppational_areaFormPanel

    /**SET Method Propertie occuppational_areaFormPanel*/
    public void setOccuppational_areaFormPanel(Occuppational_areaFormPanel occuppational_areaFormPanel){
        this.occuppational_areaFormPanel = occuppational_areaFormPanel;
    }//end method setOccuppational_areaFormPanel

    /**GET Method Propertie bCancelLogin*/
    public JButton getBCancelLogin(){
        return this.bCancelLogin;
    }//end method getBCancelLogin

    /**SET Method Propertie bCancelLogin*/
    public void setBCancelLogin(JButton bCancelLogin){
        this.bCancelLogin = bCancelLogin;
    }//end method setBCancelLogin

    /**GET Method Propertie bOkLogin*/
    public JButton getBOkLogin(){
        return this.bOkLogin;
    }//end method getBOkLogin

    /**SET Method Propertie bOkLogin*/
    public void setBOkLogin(JButton bOkLogin){
        this.bOkLogin = bOkLogin;
    }//end method setBOkLogin

    /**GET Method Propertie jLabel1*/
    public JLabel getJLabel1(){
        return this.jLabel1;
    }//end method getJLabel1

    /**SET Method Propertie jLabel1*/
    public void setJLabel1(JLabel jLabel1){
        this.jLabel1 = jLabel1;
    }//end method setJLabel1

    /**GET Method Propertie jLabel2*/
    public JLabel getJLabel2(){
        return this.jLabel2;
    }//end method getJLabel2

    /**SET Method Propertie jLabel2*/
    public void setJLabel2(JLabel jLabel2){
        this.jLabel2 = jLabel2;
    }//end method setJLabel2

    /**GET Method Propertie jPanel1*/
    public JPanel getJPanel1(){
        return this.jPanel1;
    }//end method getJPanel1

    /**SET Method Propertie jPanel1*/
    public void setJPanel1(JPanel jPanel1){
        this.jPanel1 = jPanel1;
    }//end method setJPanel1

    /**GET Method Propertie jTabbedPane1*/
    public JTabbedPane getJTabbedPane1(){
        return this.jTabbedPane1;
    }//end method getJTabbedPane1

    /**SET Method Propertie jTabbedPane1*/
    public void setJTabbedPane1(JTabbedPane jTabbedPane1){
        this.jTabbedPane1 = jTabbedPane1;
    }//end method setJTabbedPane1

    /**GET Method Propertie tfPassword*/
    public JPasswordField getTfPassword(){
        return this.tfPassword;
    }//end method getTfPassword

    /**SET Method Propertie tfPassword*/
    public void setTfPassword(JPasswordField tfPassword){
        this.tfPassword = tfPassword;
    }//end method setTfPassword

    /**GET Method Propertie tfUsername*/
    public JTextField getTfUsername(){
        return this.tfUsername;
    }//end method getTfUsername

    /**SET Method Propertie tfUsername*/
    public void setTfUsername(JTextField tfUsername){
        this.tfUsername = tfUsername;
    }//end method setTfUsername

    //End GetterSetterExtension Source Code
//!

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie registrationFormPanel*/
    public RegistrationFormPanel getRegistrationFormPanel(){
        return this.registrationFormPanel;
    }//end method getRegistrationFormPanel

    /**SET Method Propertie registrationFormPanel*/
    public void setRegistrationFormPanel(RegistrationFormPanel registrationFormPanel){
        this.registrationFormPanel = registrationFormPanel;
    }//end method setRegistrationFormPanel

    //End GetterSetterExtension Source Code
//!
}
